Subject: [Enum] Protocol Action: 'An ENUM Registry Type for the Internet Registry Information Service' to Proposed Standard

From: The IESG <[email-masked]>
Date: Mon, 05 Dec 2005 16:40:19 -0500

The IESG has approved the following document:

- 'An ENUM Registry Type for the Internet Registry Information Service '
   <draft-ietf-enum-iris-ereg-02.txt> as a Proposed Standard

This document is the product of the Telephone Number Mapping Working Group. 

The IESG contact persons are Allison Mankin and Jon Peterson.

A URL of this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-enum-iris-ereg-02.txt-02.txt

Technical Summary
 
   This document describes an IRIS (RFCs 3981-3983)
   registry schema for registered ENUM information
   The schema extends the necessary query and result
   operations of IRIS to provide the functional information service
   needs for syntaxes and results used by ENUM registries.
   The document includes support for privacy labeling of
   objects in the registries.

Working Group Summary
 
 The working group gave a detailed consensus to this document,
  after many cycles of discussion and review.
 
Protocol Quality
 
 Allison Mankin reviewed the specification for the IESG and notes
 that the specification should be reviewed to see if new enumservices
 such as the local number portability data will need extensions from it 
 in future.  Elwyn Davies gave a useful review for the General Area
 Directorate.
  
Notes to RFC Editor:

1.
Delete the following from Section 3.2.5, and delete reference [15]
o  <IDNeMail> - elements containing an e-mail address within an
      internationalized domain name [15].

2.
Section 8.2
OLD:
S-NAPTR application service label
NEW:
S-NAPTR application service tag [20]

[20] is a normative reference to RFC 3958

3.
Section 3.24
OLD:
 o  <hostName> - the fully qualified domain name of the host.  The
      contents of this element are a domain name and MUST conform to RFC
      1035 [9].
NEW:
 o  <hostName> - the fully qualified domain name of the host.  The
      contents of this element are a host name and MUST conform to RFC
      1123 [xx].  
    Add a normative Reference to RFC 1123.

4.
Section 3.4
OLD:
o  enum - the fully qualified name of an ENUM domain.  This is a
      domain name as specified by RFC 1035 [9].  It yields a <enum>
      (Section 3.2.3) in the response.

NEW:
o  enum - the fully qualified name of an ENUM domain.  This is a
      domain name as specified by RFC 3761 [18].  It yields a <enum>
      (Section 3.2.3) in the response.

5.
Normative References:
Replace [3] and [4] with

[3]   World Wide Web Consortium, "XML Schema Part 2: Datatypes",
       W3C XML Schema, October 2004,
       <http://www.w3.org/TR/xmlschema-2/>.

[4]   World Wide Web Consortium, "XML Schema Part 1: Structures",
       W3C XML Schema, October 2004,
       <http://www.w3.org/TR/xmlschema-1/>

6.
Section 3.2.3
OLD:
 <e164Number>+1 7035 555 1212</e164Number>
NEW:
 <e164Number>+1 703 555 1212</e164Number>

There are four occurrences of the number 555 1212 in this
section.  Please replace 1212 with 1234.  (1212 is a working
number, whereas 1234 is a valid example).

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum